# Interface DeprecatedAttribute

All Superinterfaces:
  `Attribute<DeprecatedAttribute>, ClassElement, ClassFileElement, FieldElement, MethodElement`

public sealed interface DeprecatedAttribute extends Attribute<DeprecatedAttribute>, ClassElement, MethodElement, FieldElement
Models the `Deprecated` attribute (JVMS §4.7.15), which indicates this structure has been superseded.

This attribute can appear on classes, methods, and fields, and permits multiple instances in a structure. It has no data dependency.

This attribute was introduced in the Java SE Platform version 1.1, major version 45.

API Note:
  When this attribute is present, the `Deprecated` annotation should also be present in the `RuntimeVisibleAnnotations` attribute to provide more obvious alerts. The reference implementation of the system Java compiler emits this attribute without the annotation when a `@deprecated` tag is present in the documentation comments without the annotation.
See Java Virtual Machine Specification:
  4.7.15 The `Deprecated` Attribute
Since:
  24
See Also:
  - `Attributes.deprecated()`
  - `Deprecated`

## Method Summary

Static Methods
Modifier and Type
Method
Description
`static DeprecatedAttribute`
`of()`
Returns a `Deprecated` attribute.

### Methods declared in interface Attribute

`attributeMapper, attributeName`
Modifier and Type
Method
Description
`AttributeMapper<DeprecatedAttribute>`
`attributeMapper()`
Returns the `AttributeMapper` associated with this attribute.
`Utf8Entry`
`attributeName()`
Returns the name of the attribute.

## Method Details

### of

static DeprecatedAttribute of()
Returns a `Deprecated` attribute.

Returns:
  a `Deprecated` attribute